# IndexedList Class Reference
[Things based on Standard PHP Library]

Unordered indexed list of Identifiable objects. More...

Inheritance diagram for IndexedList:
[legend]

List of all members.

## Public Member Functions

| offsetSet ($offset, $value)

## Static Public Member Functions

static | create ()

## Detailed Description

Unordered indexed list of Identifiable objects.

Definition at line 17 of file IndexedList.class.php.

## Member Function Documentation

static IndexedList::create | ( |  | ) | `[static]`

Returns:
  IndexedList

Definition at line 22 of file IndexedList.class.php.

IndexedList::offsetSet | ( | $ | offset,
|  | $ | value |
| ) |  |  |

Returns:
  IndexedList

Definition at line 30 of file IndexedList.class.php.

References Assert::isTrue(), and AbstractList::offsetExists().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/SPL/IndexedList.class.php